Welcome, Guest. Please login or register. Did you miss your activation email?

Author Topic: [SOLVED]Error while using SFML 1.6 in Eclipse on Linux  (Read 1269 times)

0 Members and 1 Guest are viewing this topic.

lotios611

  • Newbie
  • *
  • Posts: 32
    • View Profile
[SOLVED]Error while using SFML 1.6 in Eclipse on Linux
« on: January 29, 2011, 04:54:37 pm »
I'm trying to set up SFML in Eclipse on Linux, but I can't get it to work. I followed the gcc installation tutorial but when I compile the code, I get this error:
Quote
make: *** [Pickin'Gems] Error 2   Pickin' Gems      line 0   C/C++ Problem

I have added -lsfml-system to the linker. I got SFML from Synaptic, if that make a difference.

EDIT: I tried just using the command line, and it compiles + runs with this output:
Quote
7.08364e-06
0.500229
1.00037
1.5005
2.00064
2.50078
3.00092
3.50105
4.00119
4.50132
Which means that it's an Eclipse problem.
Edit2: I seem to have fixed it. Apparently Eclipse is to dumb to realise that "Pickin' Gems" should be formatted as "Pickin\'\ Gems". I solved the problem by having Eclipse build it as PickinGems.